Bug 184705 - x11-fonts/dejavu install fails on 10 with LINKS=on
Summary: x11-fonts/dejavu install fails on 10 with LINKS=on
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-11 20:50 UTC by Radim Kolar
Modified: 2014-02-11 17:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2013-12-11 20:50:00 UTC
if you have configured LINKS=on then on pkgng packaging system (freebsd 10 default) installation fails during stage phase.

you need to mkdir -p conf.d directory before use during install
Comment 1 Edwin Groothuis freebsd_committer 2013-12-11 20:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 c.kworr 2014-01-20 14:57:25 UTC
Hi all

Probably should be patched like this:

Index: Makefile
===================================================================
--- Makefile    (revision 340385)
+++ Makefile    (working copy)
@@ -46,7 +46,8 @@
         cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${STAGEDIR}${DOCSDIR}/
  .endif
  .if ${PORT_OPTIONS:MLINKS}
-       cd ${STAGEDIR}${PREFIX}/${FCDIR_LINKS}/ && ${LN} -fs 
../conf.avail/*dejavu*.conf .
+       ${MKDIR} ${STAGEDIR}${PREFIX}/${FCDIR_LINKS}
+       cd ${STAGEDIR}${PREFIX}/${FCDIR_LINKS} && ${LN} -fs 
../conf.avail/*dejavu*.conf .
  .endif
         @${ECHO_MSG} "===> Running fc-cache"
         -${LOCALBASE}/bin/fc-cache -f -v ${FONTSDIR}/

-- 
Sphinx of black quartz, judge my vow.
Comment 3 dfilter service freebsd_committer 2014-02-11 17:02:54 UTC
Author: sunpoet
Date: Tue Feb 11 17:02:47 2014
New Revision: 343783
URL: http://svnweb.freebsd.org/changeset/ports/343783
QAT: https://qat.redports.org/buildarchive/r343783/

Log:
  - Fix staging support
  
  PR:		ports/184705
  Submitted by:	rk <hsn@sendmail.cz>

Modified:
  head/x11-fonts/dejavu/Makefile

Modified: head/x11-fonts/dejavu/Makefile
==============================================================================
--- head/x11-fonts/dejavu/Makefile	Tue Feb 11 17:02:37 2014	(r343782)
+++ head/x11-fonts/dejavu/Makefile	Tue Feb 11 17:02:47 2014	(r343783)
@@ -38,7 +38,7 @@ PLIST_SUB+=	FCDIR_LINKS="@comment "
 .endif
 
 do-install:
-	${MKDIR} ${STAGEDIR}${FCDIR} ${STAGEDIR}${FONTSDIR}/
+	${MKDIR} ${STAGEDIR}${FCDIR}/ ${STAGEDIR}${PREFIX}/${FCDIR_LINKS}/ ${STAGEDIR}${FONTSDIR}/
 	${INSTALL_DATA} ${WRKSRC}/fontconfig/*.conf ${STAGEDIR}${FCDIR}/
 	${INSTALL_DATA} ${WRKSRC}/ttf/*.ttf ${STAGEDIR}${FONTSDIR}/
 .if ${PORT_OPTIONS:MDOCS}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-02-11 17:09:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!